package com.emr.entity.emrReasonAnnoModel;

public class Emr_Reason_Anno_Model {
    private Integer id;

    private String typeFlag;

    private String typeName;

    private String content;

    private Integer effective;

    private Integer parentId;

    private String creater;

    private String createTime;

    private String updater;

    private String updateTime;

    private String newName;

    private String effectiveCn;

    private Integer updateOper;

    private Integer deleteOper;

    public Integer getUpdateOper() {
        return updateOper;
    }

    public void setUpdateOper(Integer updateOper) {
        this.updateOper = updateOper;
    }

    public Integer getDeleteOper() {
        return deleteOper;
    }

    public void setDeleteOper(Integer deleteOper) {
        this.deleteOper = deleteOper;
    }

    public String getEffectiveCn() {
        return effectiveCn;
    }

    public void setEffectiveCn(String effectiveCn) {
        this.effectiveCn = effectiveCn;
    }

    private Integer isOper;//是否可操作

    public Integer getIsOper() {
        return isOper;
    }

    public void setIsOper(Integer isOper) {
        this.isOper = isOper;
    }

    public String getNewName() {
        return newName;
    }

    public void setNewName(String newName) {
        this.newName = newName;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTypeFlag() {
        return typeFlag;
    }

    public void setTypeFlag(String typeFlag) {
        this.typeFlag = typeFlag == null ? null : typeFlag.trim();
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName == null ? null : typeName.trim();
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }

    public Integer getEffective() {
        return effective;
    }

    public void setEffective(Integer effective) {
        this.effective = effective;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater == null ? null : creater.trim();
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime == null ? null : createTime.trim();
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater == null ? null : updater.trim();
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime == null ? null : updateTime.trim();
    }
}